Redmine - Defect #26699

Anonymous user should have their icon

2017-08-15 17:01 - Go MAEDA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 3.3.6

Resolution: Fixed Affected version:

Description

ApplicationHelper#avatar method returns blank string instead of img tag for the anonymous user. The behavior causes disordered

layout in IssuesController#show page.

This patch adds an icon for the anonymous user and fixes the broken layout.

Before:

The author of the issue is the anonymous user. But in the upper left corner of the page, the assignee's icon is displayed as if it is the
author's icon because the anonymous user does not have their avatar icon.

Bug #46

f
L. Issue created by anonymous user
Added by Anonymous 2 minutes ago. Updated 1 r

Status: New

History

Updated by Anonymous 1 minute ago

After:
New anonymous icon is displayed.

Bug #46

Issue created by anonymous use

’@n Added by Anonymous 2 minutes ago. U
[

Status: New

History

Updated by Anonymous 2 minutes ago

No icon is displayed in the journal which was made by the anonymous user.

Related issues:

Related to Redmine - Patch #25775: Show assignee's icon in addition to author... Closed
Related to Redmine - Defect #28204: Too large avatar breaks gantt when assign... Closed
Related to Redmine - Defect #28208: Anonymous icon is wrongly displayed when ... Closed
Associated revisions

Revision 17150 - 2018-01-07 23:01 - Jean-Philippe Lang

Anonymous user should have their icon (#26699).

Patch by Go MAEDA.

Revision 17151 - 2018-01-07 23:05 - Jean-Philippe Lang
Merged r17150 to 3.4-stable (#26699).

Revision 17152 - 2018-01-07 23:06 - Jean-Philippe Lang
Merged r17150 to 3.3-stable (#26699).

History

#1 - 2017-08-15 17:01 - Go MAEDA

- Related to Patch #25775: Show assignee's icon in addition to author's icon added

#2 - 2017-08-15 17:16 - Go MAEDA

- File anonymous.ai added

#3 - 2017-08-15 17:52 - Go MAEDA

- File 0001-Add-avatar-for-anonymous-user.patch added

Updated tests.

#4 - 2017-08-15 17:53 - Go MAEDA

- File deleted (0001-Add-avatar-for-anonymous-user.patch)

#5 - 2017-08-19 02:40 - Go MAEDA

- Target version set to 3.4.3

I think it is problematic that an assignee's icon looks like an author's icon in Redmine 3.4 when the issue's author is an anonymous user.
| suggest including this fix in 3.4.3.

#6 - 2017-10-15 13:39 - Jean-Philippe Lang
- Target version changed from 3.4.3 to 3.4.4

I think it would be better to use the default gravatar icon instead of using our own.
What do you think?

#7 - 2017-10-15 13:57 - Go MAEDA
Jean-Philippe Lang wrote:
| think it would be better to use the default gravatar icon instead of using our own.

What do you think?

| prefer to have a special icon for anonymous user. We cannot distinguish a regular user with no Gravatar icon and anonymous user if default
Gravatar icon is used for anonymous users.

#8 - 2017-10-16 01:10 - Mischa The Evil
Go MAEDA wrote:

(-]
| prefer to have a special icon for anonymous user. We cannot distinguish a regular user with no Gravatar icon and anonymous user if default

Gravatar icon is used for anonymous users.

| agree with Go MEADA on this. We should be able to distinguish between regular users without Gravatar and anonymous user(s).
#9 - 2018-01-07 23:06 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Fixed

Committed, thanks.

#10 - 2018-01-07 23:06 - Jean-Philippe Lang
- Target version changed from 3.4.4 to 3.3.6

#11 - 2018-02-17 10:38 - Go MAEDA

- Related to Defect #28204: Too large avatar breaks gantt when assignee is a group added

#12 - 2018-02-18 03:06 - Go MAEDA

- Related to Defect #28208: Anonymous icon is wrongly displayed when assignee is a group added
